Zum Inhalt

Get campaigns

Retrieve the properties and relationships of a campaign object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/campaignsWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a campaign object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/campaignsWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

    {
        "id": "7f404203-0e30-ee11-bdfc-6045bde98c16",
        "number": "KP1001",
        "description": "Umsatz steigern",
        "startingDate": "2022-11-01",
        "endingDate": "2023-04-01",
        "statusCode": "5-START",
        "activated": false
    }

See also

Tips for working with the APIs
campaign
Delete campaign
Create campaign
Update campaign